package com.jz.dmp.modules.controller.bean;

import java.util.Date;

import com.jz.common.bean.BasePageBean;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**DMP资源导航树参数请求封装
 * @author ybz
 *
 */
@ApiModel(value = "DMP资源导航树参数请求封装", description = "DMP资源导航树参数请求封装")
public class DmpNavigationTreeRequest extends BasePageBean {
	/**
	* ID
	*/
	@ApiModelProperty(value = "ID")
	private Integer id;

	/**
	* 项目ID
	*/
	@ApiModelProperty(value = "项目ID")
	private Integer projectId;

	/**
	* 树类别
	*/
	@ApiModelProperty(value = "树类别")
	private String category;

	/**
	* 树类型
	*/
	@ApiModelProperty(value = "树类型")
	private String type;

	/**
	* 名称
	*/
	@ApiModelProperty(value = "名称")
	private String name;

	/**
	* 序号
	*/
	@ApiModelProperty(value = "序号")
	private Integer treeSort;

	/**
	* 是否叶子节点(0:否，1:是)
	*/
	@ApiModelProperty(value = "是否叶子节点(0:否，1:是)")
	private String isLevel;

	/**
	* 是否启用(0:否，1:是)
	*/
	@ApiModelProperty(value = "是否启用(0:否，1:是)")
	private String isEnable;

	/**
	* 父节点ID
	*/
	@ApiModelProperty(value = "父节点ID")
	private Integer parentId;

	/**
	* 数据状态
	*/
	@ApiModelProperty(value = "数据状态")
	private String dataStatus;

	/**
	* 创建用户ID
	*/
	@ApiModelProperty(value = "创建用户ID")
	private String createUserId;

	/**
	* 数据创建时间起
	*/
	@ApiModelProperty(value = "数据创建时间起")
	private Date createTimeStart;

	/**
	* 数据创建时间止
	*/
	@ApiModelProperty(value = "数据创建时间止")
	private Date createTimeEnd;

	/**
	* 创建用户ID
	*/
	@ApiModelProperty(value = "创建用户ID")
	private String updateUserId;

	/**
	* 数据更新时间起
	*/
	@ApiModelProperty(value = "数据更新时间起")
	private Date updateTimeStart;

	/**
	* 数据更新时间止
	*/
	@ApiModelProperty(value = "数据更新时间止")
	private Date updateTimeEnd;

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getProjectId() {
		return projectId;
	}

	public void setProjectId(Integer projectId) {
		this.projectId = projectId;
	}

	public String getCategory() {
		return category;
	}

	public void setCategory(String category) {
		this.category = category;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Integer getTreeSort() {
		return treeSort;
	}

	public void setTreeSort(Integer treeSort) {
		this.treeSort = treeSort;
	}

	public String getIsLevel() {
		return isLevel;
	}

	public void setIsLevel(String isLevel) {
		this.isLevel = isLevel;
	}

	public String getIsEnable() {
		return isEnable;
	}

	public void setIsEnable(String isEnable) {
		this.isEnable = isEnable;
	}

	public Integer getParentId() {
		return parentId;
	}

	public void setParentId(Integer parentId) {
		this.parentId = parentId;
	}

	public String getDataStatus() {
		return dataStatus;
	}

	public void setDataStatus(String dataStatus) {
		this.dataStatus = dataStatus;
	}

	public String getCreateUserId() {
		return createUserId;
	}

	public void setCreateUserId(String createUserId) {
		this.createUserId = createUserId;
	}

	public Date getCreateTimeStart() {
		return createTimeStart;
	}

	public void setCreateTimeStart(Date createTimeStart) {
		this.createTimeStart = createTimeStart;
	}

	public Date getCreateTimeEnd() {
		return createTimeEnd;
	}

	public void setCreateTimeEnd(Date createTimeEnd) {
		this.createTimeEnd = createTimeEnd;
	}

	public String getUpdateUserId() {
		return updateUserId;
	}

	public void setUpdateUserId(String updateUserId) {
		this.updateUserId = updateUserId;
	}

	public Date getUpdateTimeStart() {
		return updateTimeStart;
	}

	public void setUpdateTimeStart(Date updateTimeStart) {
		this.updateTimeStart = updateTimeStart;
	}

	public Date getUpdateTimeEnd() {
		return updateTimeEnd;
	}

	public void setUpdateTimeEnd(Date updateTimeEnd) {
		this.updateTimeEnd = updateTimeEnd;
	}
}
