package com.jz.dmp.modules.dao.sys;

import java.util.List;
import java.util.Map;

import com.jz.dmp.modules.controller.sys.bean.DmpCodeDictionaryDto;
import com.jz.dmp.modules.model.DmpCodeDictionary;

/**编码字典 mapper
 * @author ybz
 *
 */
public interface DmpCodeDictionaryMapper {
	
	/**新增编码字典
     * @param dmpCodeDictionary
     * @return
     * @throws Exception
     */
    public int insert(DmpCodeDictionary dmpCodeDictionary)throws Exception;

    /**选择性增加编码字典
     * @param dmpCodeDictionary
     * @return
     * @throws Exception
     */
    public int insertSelective(DmpCodeDictionary dmpCodeDictionary)throws Exception;
    
    /**主键修改编码字典
     * @param dmpCodeDictionary
     * @return
     * @throws Exception
     */
    public int updateByPrimaryKey(DmpCodeDictionary dmpCodeDictionary)throws Exception;

    /**选择性修改编码字典
     * @param dmpCodeDictionary
     * @return
     * @throws Exception
     */
    public int updateByPrimaryKeySelective(DmpCodeDictionary dmpCodeDictionary)throws Exception;
    
    /**主键查询编码字典
     * @param dmpCodeDictionaryId
     * @return
     * @throws Exception
     */
    public DmpCodeDictionary selectByPrimaryKey(Integer dmpCodeDictionaryId)throws Exception;

    /**主键删除编码字典
     * @param dmpCodeDictionaryId
     * @return
     * @throws Exception
     */
    public int deleteByPrimaryKey(Integer dmpCodeDictionaryId)throws Exception;

	/**条件查询编码字典
	 * @param param
	 * @return
	 * @throws Exception
	 */
	public List<DmpCodeDictionaryDto> findList(Map<String, Object> param)throws Exception;

	/**主键查询编码字典
	 * @param dmpCodeDictionaryId
	 * @return
	 * @throws Exception
	 */
	public DmpCodeDictionaryDto findById(Integer dmpCodeDictionaryId)throws Exception;

	/**批量新增编码字典
	 * @param dmpCodeDictionarys
	 * @throws Exception
	 */
	public void insertBatch(List<DmpCodeDictionary> dmpCodeDictionarys)throws Exception;
	
}
